
abstract public class fi_x extends Mathd
{
  // multifunction single independent variable
  // vector of dependent variables are returned
  // example f[0]=x+sin(x)
  //         f[1]=x*x-x
  // func(x) returns the value of f[0] and f[1]
  // as a two dimensional vector
    public double a[];

   public fi_x(double ai[])
   {setA(ai);}
   
   public fi_x()
   { double ai[]=new double[0];
	 setA(ai);
   }
   
  public void setA(double ai[])
  {int n=ai.length;
   a=new double[n];
   for(int i=0;i<n;i++)
   {a[i]=ai[i];}
  }
  
  abstract double[] func(double x);
}